Only in cvs-1.7-mint: confcache
diff -ur cvs-1.7/config.guess cvs-1.7-mint/config.guess
--- cvs-1.7/config.guess	Tue Nov 14 18:04:52 1995
+++ cvs-1.7-mint/config.guess	Sat Jul 27 13:50:22 1996
@@ -75,6 +75,9 @@
 		echo pyramid-pyramid-bsd
 	fi
 	exit 0 ;;
+    atari:MiNT:*:*)
+	echo m68k-atari-mint${UNAME_RELEASE}
+	exit 0 ;;
     sun4*:SunOS:5.*:*)
 	echo sparc-sun-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit 0 ;;
diff -ur cvs-1.7/config.sub cvs-1.7-mint/config.sub
--- cvs-1.7/config.sub	Tue Nov 14 18:04:58 1995
+++ cvs-1.7-mint/config.sub	Sun Aug  4 14:11:24 1996
@@ -695,6 +695,9 @@
 	-xenix)
 		os=-xenix
 		;;
+        -mint*)
+		os=-mint
+		;;
 	-none)
 		;;
 	*)
diff -ur cvs-1.7/configure cvs-1.7-mint/configure
--- cvs-1.7/configure	Fri Jan 12 19:41:02 1996
+++ cvs-1.7-mint/configure	Sun Jul 28 15:40:28 1996
@@ -3322,20 +3321,20 @@
 EOF
 # Ultrix sh set writes to stderr and can't be redirected directly,
 # and sets the high bit in the cache file unless we assign to the vars.
-(set) 2>&1 |
-  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
-  >> confcache
-if cmp -s $cache_file confcache; then
-  :
-else
-  if test -w $cache_file; then
-    echo "updating cache $cache_file"
-    cat confcache > $cache_file
-  else
-    echo "not updating unwritable cache $cache_file"
-  fi
-fi
-rm -f confcache
+#(set) 2>&1 |
+#  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
+#  >> confcache
+#if cmp -s $cache_file confcache; then
+#  :
+#else
+#  if test -w $cache_file; then
+#    echo "updating cache $cache_file"
+#    cat confcache > $cache_file
+#  else
+#    echo "not updating unwritable cache $cache_file"
+#  fi
+#fi
+#rm -f confcache
 
 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
 
diff -ur cvs-1.7/lib/getline.h cvs-1.7-mint/lib/getline.h
--- cvs-1.7/lib/getline.h	Sun Oct 29 00:09:40 1995
+++ cvs-1.7-mint/lib/getline.h	Sat Aug  3 13:16:04 1996
@@ -4,12 +4,12 @@
 #include <stdio.h>
 
 #if defined (__GNUC__) || (defined (__STDC__) && __STDC__)
-#define __PROTO(args) args
+#define ___PROTO(args) args
 #else
-#define __PROTO(args) ()
+#define ___PROTO(args) ()
 #endif  /* GCC.  */
 
 int
-  getline __PROTO ((char **_lineptr, size_t *_n, FILE *_stream));
+  getline ___PROTO ((char **_lineptr, size_t *_n, FILE *_stream));
 
 #endif /* _getline_h_ */
diff -ur cvs-1.7/lib/save-cwd.h cvs-1.7-mint/lib/save-cwd.h
--- cvs-1.7/lib/save-cwd.h	Sun Oct 29 00:09:42 1995
+++ cvs-1.7-mint/lib/save-cwd.h	Thu Aug  1 19:41:06 1996
@@ -8,13 +8,13 @@
   };
 
 #if defined (__GNUC__) || (defined (__STDC__) && __STDC__)
-#define __PROTO(args) args
+#define ___PROTO(args) args
 #else
-#define __PROTO(args) ()
+#define ___PROTO(args) ()
 #endif  /* GCC.  */
 
-int save_cwd __PROTO((struct saved_cwd *cwd));
-int restore_cwd __PROTO((const struct saved_cwd *cwd, const char *dest));
-void free_cwd __PROTO((struct saved_cwd *cwd));
+int save_cwd ___PROTO((struct saved_cwd *cwd));
+int restore_cwd ___PROTO((const struct saved_cwd *cwd, const char *dest));
+void free_cwd ___PROTO((struct saved_cwd *cwd));
 
 #endif /* SAVE_CWD_H */
diff -ur cvs-1.7/src/filesubr.c cvs-1.7-mint/src/filesubr.c
--- cvs-1.7/src/filesubr.c	Mon Jan 15 18:49:28 1996
+++ cvs-1.7-mint/src/filesubr.c	Sun Aug  4 13:34:32 1996
@@ -434,7 +435,11 @@
 	 * other systems will return EISDIR to indicate
 	 * that the path is a directory.
 	 */
-        if (errno == EISDIR || errno == EPERM)
+        if (
+#ifdef EISDIR
+	    errno == EISDIR || 
+#endif
+	    errno == EPERM)
                 return deep_remove_dir (f);
         else
 		/* The file wasn't a directory and some other
@@ -476,7 +481,11 @@
 
 	    if (unlink (buf) != 0 )
 	    {
-		if (errno == EISDIR || errno == EPERM)
+		if (
+#ifdef EISDIR
+		    errno == EISDIR ||
+#endif
+		    errno == EPERM)
 		{
 		    if (deep_remove_dir (buf))
 		    {
diff -ur cvs-1.7/src/server.c cvs-1.7-mint/src/server.c
--- cvs-1.7/src/server.c	Wed Jan 10 07:18:40 1996
+++ cvs-1.7-mint/src/server.c	Sun Jul 28 18:25:32 1996
@@ -1531,7 +1531,10 @@
 #ifdef EWOULDBLOCK
 			|| errno == EWOULDBLOCK
 #endif
-			|| errno == EAGAIN))
+#ifdef EAGAIN
+			|| errno == EAGAIN
+#endif
+			))
 		{
 		    /*
 		     * A nonblocking write failed to write any data.
@@ -1895,7 +1898,10 @@
 		return -1;
 	    }
 
-	    if (errno == EAGAIN
+	    if (0
+#ifdef EAGAIN
+		|| errno == EAGAIN
+#endif
 #ifdef EWOULDBLOCK
 		|| errno == EWOULDBLOCK
 #endif
